<div class="m-settings--wrapper">
  <div class="m-page">
    <div class="m-page--sidebar">
      <div class="m-page--sidebar--navigation">
        <a
          class="m-page--sidebar--navigation--item"
          routerLink="/settings/general"
          routerLinkActive="m-page--sidebar--navigation--item-active"
        >
          <i class="material-icons">settings</i>
          <span i18n="@@SETTINGS__NAVIGATION__GENERAL_NAV">General</span>
        </a>

        <a
          class="m-page--sidebar--navigation--item"
          routerLink="/settings/emails"
          routerLinkActive="m-page--sidebar--navigation--item-active"
        >
          <i class="material-icons">email</i>
          <span i18n="@@SETTINGS__NAVIGATION__EMAIL_NOTIFICATIONS_NAV"
            >Email Notifications</span
          >
        </a>

        <a
          class="m-page--sidebar--navigation--item"
          routerLink="/settings/wire"
          routerLinkActive="m-page--sidebar--navigation--item-active"
        >
          <i class="ion-icon ion-flash"></i>
          <span i18n="@@SETTINGS__NAVIGATION__GENERAL_NAV">Wire</span>
        </a>

        <a
          class="m-page--sidebar--navigation--item"
          routerLink="/settings/disable"
          routerLinkActive="m-page--sidebar--navigation--item-active"
        >
          <i class="material-icons">warning</i>
          <span i18n="@@SETTINGS__NAVIGATION__DISABLE_NAV"
            >Deactivate Channel</span
          >
        </a>

        <a
          class="m-page--sidebar--navigation--item"
          routerLink="/settings/twoFactor"
          routerLinkActive="m-page--sidebar--navigation--item-active"
        >
          <i class="material-icons">security</i>
          <span i18n="@@SETTINGS__NAVIGATION__2FA_NAV"
            >TwoFactor Authentication</span
          >
        </a>

        <a
          class="m-page--sidebar--navigation--item"
          routerLink="/settings/billing"
          routerLinkActive="m-page--sidebar--navigation--item-active"
        >
          <i class="material-icons">credit_card</i>
          <span i18n="@@SETTINGS__NAVIGATION__BILLINGS_NAV">Billing</span>
        </a>

        <a
          class="m-page--sidebar--navigation--item"
          routerLink="/settings/p2pmedia"
          routerLinkActive="m-page--sidebar--navigation--item-active"
        >
          <i class="material-icons">ondemand_video</i>
          <span i18n="@@SETTINGS__NAVIGATION__P2PMEDIA_NAV">P2P Media</span>
        </a>

        <a
          class="m-page--sidebar--navigation--item"
          routerLink="/settings/reported-content"
          routerLinkActive="m-page--sidebar--navigation--item-active"
        >
          <i class="material-icons">assignment</i>
          <span i18n="@@SETTINGS__NAVIGATION__REPORTED_CONTENT_NAV"
            >Reported Content</span
          >
        </a>

        <a
          class="m-page--sidebar--navigation--item"
          routerLink="/settings/blocked-channels"
          routerLinkActive="m-page--sidebar--navigation--item-active"
        >
          <i class="material-icons">block</i>
          <span i18n>Blocked Channels</span>
        </a>

        <!-- <a class="m-page--sidebar--navigation--item"
          (click)="openHashtagsSelector()"
        >
          <i class="material-icons">label</i>
          <span i18n="@@M__ACTION__SUGGESTED_HASHTAGS">Suggested Hashtags</span>
        </a> -->

        <a
          class="m-page--sidebar--navigation--item"
          (click)="openReferralsModal()"
        >
          <i class="material-icons">people</i>
          <span i18n="@@M__ACTION__REFERRAL_LINK">Referrals</span>
        </a>
      </div>
    </div>

    <div class="m-page--main">
      <router-outlet></router-outlet>
      <p class="m-settings--created-date">
        <span i18n="@@MINDS__SETTINGS__ACCOUNT_TIMESTAMP"
          >Account created on:</span
        >
        {{ account_time_created * 1000 | date: 'medium' }}
      </p>
    </div>
  </div>
</div>
